DOM::CSSValue Class Reference

`#include <css_value.h>`

Inheritance diagram for DOM::CSSValue:

## Public Types

enum | UnitTypes { CSS_INHERIT = 0, CSS_PRIMITIVE_VALUE = 1, CSS_VALUE_LIST = 2, CSS_CUSTOM = 3, CSS_INITIAL = 4 }

## Public Member Functions

| CSSValue (const CSSValue &other)
| CSSValue (CSSValueImpl *impl)
CSSValue & | operator= (const CSSValue &other)
DOM::DOMString | cssText () const
void | setCssText (const DOM::DOMString &)
unsigned short | cssValueType () const
bool | isCSSValueList () const
bool | isCSSPrimitiveValue () const
CSSValueImpl * | handle () const
bool | isNull () const

## Protected Attributes

CSSValueImpl * | impl

## Detailed Description

The `CSSValue` interface represents a simple or a complexe value.

Definition at line 243 of file css_value.h.

## Member Enumeration Documentation

enum DOM::CSSValue::UnitTypes

An integer indicating which type of unit applies to the value.

All CSS2 constants are not supposed to be required by the implementation since all CSS2 interfaces are optionals.

Definition at line 261 of file css_value.h.

## Member Function Documentation

DOMString DOM::CSSValue::cssText | ( |  | ) | const

A string representation of the current value.

Definition at line 201 of file css_value.cpp.

unsigned short DOM::CSSValue::cssValueType | ( |  | ) | const

A code defining the type of the value as defined above.

Definition at line 213 of file css_value.cpp.

void DOM::CSSValue::setCssText | ( | const DOM::DOMString & |  | ) |

see cssText

Exceptions

  CSSException | SYNTAX_ERR: Raised if the specified CSS string value has a syntax error and is unparsable.

Exceptions

  DOMException | NO_MODIFICATION_ALLOWED_ERR: Raised if this declaration is readonly.

Definition at line 207 of file css_value.cpp.

The documentation for this class was generated from the following files:

- css_value.h
- css_value.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys